# Imagick::setRegistry

(No version information available, might only be in Git)

Imagick::setRegistry — Description

### Description

public static Imagick::setRegistry ( string `$key` , string `$value` ) : bool

Sets the ImageMagick registry entry named key to value. This is most useful for setting "temporary-path" which controls where ImageMagick creates temporary images e.g. while processing PDFs.

### Parameters

`key`

`value`

### Return Values

Returns `TRUE` on success.